import { TreeItem } from '@/components/Tree';

export const designData = [
  {
    businessId: 1,
    name: 'new task',
    task: 'new task1',
    type: 'model',
    themeId: '1-1-1',
  },
  {
    businessId: 2,
    name: 'new task1',
    task: null,
    type: 'model',
    themeId: '1-1-1',
  },
  {
    businessId: 3,
    name: 'test task',
    task: 'test task1',
    type: 'model',
    themeId: '1-1-2',
  },
  {
    businessId: 4,
    name: 'test task1',
    task: null,
    type: 'model',
    themeId: '1-1-2',
  },
  {
    businessId: 5,
    name: 'sql task',
    task: 'sql task1',
    type: 'model',
    themeId: '1-1-3',
  },
  {
    businessId: 6,
    name: 'sql task1',
    task: null,
    type: 'model',
    themeId: '1-1-3',
  },

  {
    businessId: 7,
    name: 'admin-个人工作区',
    task: null,
    type: 'theme',
    themeId: '1-1',
  },
  {
    businessId: 8,
    name: 'SLA场景验证',
    task: null,
    type: 'theme',
    themeId: '1-2',
  },
  {
    businessId: 9,
    name: '超时',
    task: null,
    type: 'twoLevel',
    themeId: '1-1-1',
  },
  {
    businessId: 10,
    name: 'test',
    task: null,
    type: 'twoLevel',
    themeId: '1-1-2',
  },
  {
    businessId: 11,
    name: 'sql',
    task: null,
    type: 'twoLevel',
    themeId: '1-1-3',
  },
  {
    businessId: 13,
    name: 'SLA-沟通流水',
    task: null,
    type: 'twoLevel',
    themeId: '1-2-2',
  },
  {
    businessId: 14,
    name: 'SLA-实时指标计算',
    task: null,
    type: 'twoLevel',
    themeId: '1-2-3',
  },
  {
    businessId: 15,
    name: 'sla分组件指标日批统计历史',
    task: null,
    type: 'twoLevel',
    themeId: '1-2-4',
  },
  {
    businessId: 16,
    name: 'SLA',
    task: null,
    type: 'twoLevel',
    themeId: '1-2-5',
  },
];
export const dataLoadConfigData = [
  {
    name: 'D',
    type: '普通参数',
    formula: '11',
    config: '',
  },
  {
    name: 'C',
    type: '普通参数',
    formula: '123',
    config: '',
  },
];
export const taskTreeData: TreeItem[] = [
  {
    key: '1',
    title: '所有任务流',
    level: '0',
    children: [
      {
        title: 'admin-个人工作区',
        key: '1-1',
        level: '1',
        icon: 'ion:desktop-outline',
        children: [
          { title: '超时', level: '2', key: '1-1-1', icon: 'ion:git-branch-outline' },
          { title: 'test', level: '2', key: '1-1-2', icon: 'ion:git-branch-outline' },
          { title: 'sql', level: '2', key: '1-1-3', icon: 'ion:git-branch-outline' },
        ],
      },
      {
        title: 'SLA场景验证',
        key: '1-2',
        level: '1',
        icon: 'ion:desktop-outline',
        children: [
          { title: 'test', key: '1-2-1', icon: 'ion:git-branch-outline' },
          { title: 'SLA-沟通流水', key: '1-2-2', icon: 'ion:git-branch-outline' },
          { title: 'SLA-实时指标计算', key: '1-2-3', icon: 'ion:git-branch-outline' },
          { title: 'sla分组件指标日批统计历史', key: '1-2-4', icon: 'ion:git-branch-outline' },
          { title: 'SLA', key: '1-2-5', icon: 'ion:git-branch-outline' },
        ],
      },
    ],
  },
];

export const taskFlushTreeData: TreeItem[] = [
  {
    title: '所有任务流',
    key: '0-0',
    children: [
      {
        title: 'admin-个人工作区',
        key: '0-0-0',
        icon: 'ion:desktop-outline',
        children: [
          { title: '超时', key: '0-0-0-0', icon: 'ion:git-branch-outline' },
          { title: 'test', key: '0-0-0-1', icon: 'ion:git-branch-outline' },
          { title: 'sql', key: '0-0-0-2', icon: 'ion:git-branch-outline' },
        ],
      },
      {
        title: 'SLA场景验证',
        key: '0-1-0',
        icon: 'ion:desktop-outline',
        children: [
          { title: 'test', key: '0-1-0-0', icon: 'ion:git-branch-outline' },
          { title: 'SLA-沟通流水', key: '0-1-0-1', icon: 'ion:git-branch-outline' },
          { title: 'SLA-实时指标计算', key: '0-1-0-2', icon: 'ion:git-branch-outline' },
          { title: 'sla分组件指标日批统计历史', key: '0-1-0-3', icon: 'ion:git-branch-outline' },
          { title: 'SLA', key: '0-1-0-4', icon: 'ion:git-branch-outline' },
        ],
      },
    ],
  },
  {
    title: 'admin-个人工作区',
    key: '1-2',
    icon: 'ion:desktop-outline',
    children: [
      { title: '超时', key: '1-1-0', icon: 'ion:git-branch-outline' },
      { title: 'test', key: '1-1-1', icon: 'ion:git-branch-outline' },
      { title: 'sql', key: '1-1-2', icon: 'ion:git-branch-outline' },
    ],
  },
];
export const taskLeftTreeData: TreeItem[] = [
  {
    title: '所有任务流',
    key: '0-0',
    children: [
      {
        title: 'admin-个人工作区',
        key: '0-0-0',
        icon: 'ion:desktop-outline',
        children: [
          { title: '超时', key: '0-0-0-0', icon: 'ion:git-branch-outline' },
          { title: 'test', key: '0-0-0-1', icon: 'ion:git-branch-outline' },
          { title: 'sql', key: '0-0-0-2', icon: 'ion:git-branch-outline' },
        ],
      },
      {
        title: 'SLA场景验证',
        key: '0-1-0',
        icon: 'ion:desktop-outline',
        children: [
          { title: 'test', key: '0-1-0-0', icon: 'ion:git-branch-outline' },
          { title: 'SLA-沟通流水', key: '0-1-0-1', icon: 'ion:git-branch-outline' },
          { title: 'SLA-实时指标计算', key: '0-1-0-2', icon: 'ion:git-branch-outline' },
          { title: 'sla分组件指标日批统计历史', key: '0-1-0-3', icon: 'ion:git-branch-outline' },
          { title: 'SLA', key: '0-1-0-4', icon: 'ion:git-branch-outline' },
        ],
      },
    ],
  },
];
export const taskRightTreeData: TreeItem[] = [
  {
    title: '超时统计',
    key: '0-0-0-0-0',
    fk: '0-0-0-0',
  },
  {
    title: '超时分组指标统计',
    key: '0-0-0-0-1',
    fk: '0-0-0-0',
  },
  {
    title: 'task统计任务',
    key: '0-0-0-1-1',
    fk: '0-0-0-1',
  },
  {
    title: 'task明细',
    key: '0-0-0-1-1',
    fk: '0-0-0-1',
  },
  {
    title: 'sql统计',
    key: '0-0-0-2-1',
    fk: '0-0-0-2',
  },
  {
    title: 'sql分组日统计',
    key: '0-0-0-2-1',
    fk: '0-0-0-2',
  },
  {
    title: 'test明细',
    key: '0-1-0-0-0',
    fk: '0-1-0-0',
  },
  {
    title: 'test指标-视图',
    key: '0-1-0-0-1',
    fk: '0-1-0-0',
  },
  {
    title: 'test实时统计-临时视图',
    key: '0-1-0-0-2',
    fk: '0-1-0-0',
  },
  {
    title: 'test频次统计',
    key: '0-1-0-0-3',
    fk: '0-1-0-0',
  },
  {
    title: 'test分组统计',
    key: '0-1-0-0-4',
    fk: '0-1-0-0',
  },
  {
    title: 'SLA明细信息',
    key: '0-1-0-4-0',
    fk: '0-1-0-4',
  },
  {
    title: 'SLA分组指标日批次统计',
    key: '0-1-0-4-0',
    fk: '0-1-0-4',
  },
  {
    title: 'sla沟通指标实时统计-视图',
    key: '0-1-0-1-1',
    fk: '0-1-0-1',
  },
  {
    title: '全量加载',
    key: '0-1-0-3-2',
    fk: '0-1-0-3',
  },
  {
    title: 'sla升级频次指标实时统计-临时视图',
    key: '0-1-0-2-3',
    fk: '0-1-0-2',
  },
  {
    title: 'sla分组件指标日批统计',
    key: '0-1-0-3-4',
    fk: '0-1-0-3',
  },
  {
    title: 'sla分组件指标实时统计-临时视图',
    key: '0-1-0-3-5',
    fk: '0-1-0-3',
  },
  {
    title: 'sla升级频次指标实时统计',
    key: '0-1-0-2-6',
    fk: '0-1-0-2',
  },
];

export const taskFlushData = [
  {
    name: 'SLA',
    path: '/SLA场景验证',
    config: false,
  },
];
export const taskData = [
  {
    name: '全量加载',
    path: '/SLA场景验证/SLA-实时指标计算',
    config: false,
  },
  {
    name: 'sla升级频次指标实时统计-临时视图',
    path: '/SLA场景验证/SLA-实时指标计算',
    config: false,
  },
];
export const editTableData = [
  {
    businessId: 1,
    name: 'A_下游',
    path: '/共享工作区/gxx/文档/A_下游',
    cron: 'Cron表达式',
    formula: '0 * * * * ? *',
    flag: '未发布',
    config: '-',
    checked: false,
  },
  {
    businessId: 2,
    name: 'B_下游',
    path: '/共享工作区/gxx/文档/B_下游',
    cron: 'Cron表达式',
    formula: '0 * * * * ? *',
    flag: '未发布',
    config: '-',
    checked: false,
  },
];
export const editResultData = [
  {
    businessId: 1,
    name: 'A_下游',
    path: '/共享工作区/gxx/文档/A_下游',
    cron: 'Cron表达式',
    formula: '0 * * * * ? *',
    flag: '未发布',
    config: '-',
    uploadStatus: '未发布',
    updateStatus: '成功',
    detail: '下游33',
  },
  {
    businessId: 2,
    name: 'B_下游',
    path: '/共享工作区/gxx/文档/B_下游',
    cron: 'Cron表达式',
    formula: '0 * * * * ? *',
    flag: '未发布',
    config: '-',
    uploadStatus: '未发布',
    updateStatus: '失败',
    detail: '下游B',
  },
];
export const versionStreamData = [
  {
    key: '1',
    version: 'V11',
    time: '2023/07/07 15:40:13',
    createdBy: 'admin',
    remark: '版本',
  },
  {
    key: '2',
    version: 'V10',
    time: '2023/07/06 22:03:42',
    createdBy: 'admin',
    remark: null,
  },
  {
    key: '3',
    version: 'V9',
    time: '2023/07/06 22:02:45',
    createdBy: 'admin',
    remark: null,
  },
  {
    key: '4',
    version: 'V8',
    time: '2023/07/06 17:05:37',
    createdBy: 'admin',
    remark: '11',
  },
  {
    key: '5',
    version: 'V7',
    time: '2023/07/06 17:05:13',
    createdBy: 'admin',
    remark: '1',
  },
  {
    key: '6',
    version: 'V6',
    time: '62023/07/06 17:04:51',
    createdBy: 'admin',
    remark: null,
  },
];
export const delList1 = [
  {
    id: 1,
    title: 'slark_test/test',
  },
  {
    id: 2,
    title: 'slark_test/act',
  },
];
export const delList2 = [
  {
    fid: 1,
    task: 'slark_test/test2',
  },
  {
    fid: 1,
    task: 'slark_test/test23',
  },
  {
    fid: 2,
    task: 'slark_test/act3',
  },
];
export const delList3 = [];
